Unbind
Cron

List Cron Runs

List the runs of a service that has a cron schedule, newest first. Scheduled and manual runs are listed for as long as the cluster keeps them, with their status, timing and failure reason. Use the run's name to find its logs.

GET
/cron/runs

List the runs of a service that has a cron schedule, newest first. Scheduled and manual runs are listed for as long as the cluster keeps them, with their status, timing and failure reason. Use the run's name to find its logs.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

team_id*string
Formatuuid
project_id*string
Formatuuid
environment_id*string
Formatuuid
service_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/cron/runs?team_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&project_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&environment_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&service_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": [    {      "completed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",      "failure_reason": "string",      "manual": true,      "name": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "running"    }  ]}